Skip to main content
POST
/
api
/
v1
/
auth
/
alicloud-auth
/
identities
/
{identityId}
cURL
curl --request POST \
  --url https://us.infisical.com/api/v1/auth/alicloud-auth/identities/{identityId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "allowedArns": "<string>",
  "accessTokenTrustedIps": [
    {
      "ipAddress": "0.0.0.0/0"
    },
    {
      "ipAddress": "::/0"
    }
  ],
  "accessTokenTTL": 2592000,
  "accessTokenMaxTTL": 2592000,
  "accessTokenNumUsesLimit": 0
}
'
import requests

url = "https://us.infisical.com/api/v1/auth/alicloud-auth/identities/{identityId}"

payload = {
    "allowedArns": "<string>",
    "accessTokenTrustedIps": [{ "ipAddress": "0.0.0.0/0" }, { "ipAddress": "::/0" }],
    "accessTokenTTL": 2592000,
    "accessTokenMaxTTL": 2592000,
    "accessTokenNumUsesLimit": 0
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    allowedArns: '<string>',
    accessTokenTrustedIps: [{ipAddress: '0.0.0.0/0'}, {ipAddress: '::/0'}],
    accessTokenTTL: 2592000,
    accessTokenMaxTTL: 2592000,
    accessTokenNumUsesLimit: 0
  })
};

fetch('https://us.infisical.com/api/v1/auth/alicloud-auth/identities/{identityId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "identityAliCloudAuth": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "allowedArns": "<string>",
    "accessTokenTTL": 7200,
    "accessTokenMaxTTL": 7200,
    "accessTokenNumUsesLimit": 0,
    "accessTokenTrustedIps": "<unknown>"
  }
}
{
  "reqId": "<string>",
  "statusCode": 400,
  "message": "<string>",
  "error": "<string>",
  "details": "<unknown>"
}
{
  "reqId": "<string>",
  "statusCode": 401,
  "message": "<string>",
  "error": "<string>"
}
{
  "reqId": "<string>",
  "statusCode": 403,
  "message": "<string>",
  "error": "<string>",
  "details": "<unknown>"
}
{
  "reqId": "<string>",
  "statusCode": 404,
  "message": "<string>",
  "error": "<string>"
}
{
  "reqId": "<string>",
  "statusCode": 422,
  "error": "<string>",
  "message": "<unknown>"
}
{
  "reqId": "<string>",
  "statusCode": 500,
  "message": "<string>",
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

identityId
string
required

The ID of the machine identity to attach the configuration onto.

Body

application/json
allowedArns
string
required

The comma-separated list of trusted ARNs that are allowed to authenticate with Infisical.

Required string length: 1 - 500
accessTokenTrustedIps
object[]

The IPs or CIDR ranges that access tokens can be used from.

Minimum array length: 1
accessTokenTTL
integer
default:2592000

The lifetime for an access token in seconds.

Required range: 0 <= x <= 315360000
accessTokenMaxTTL
integer
default:2592000

The maximum lifetime for an access token in seconds.

Required range: 1 <= x <= 315360000
accessTokenNumUsesLimit
integer
default:0

The maximum number of times that an access token can be used.

Required range: x >= 0

Response

Default Response

identityAliCloudAuth
object
required